import React from 'react'
import { get } from 'lodash'
import { compose } from 'recompose'
import { withJournal } from 'xpub-journal'

import {
  OpenModal,
  ActionLink,
  IconButton,
  withRoles,
  withFetching,
  withCountries,
} from 'pubsweet-component-faraday-ui'

const AddUser = ({ edit, journal, handleSubmit, ...rest }) => (
  <OpenModal
    edit={edit}
    formModal
    title={edit ? 'Edit User' : 'Add User'}
    titles={get(journal, 'title', [])}
    {...rest}
  >
    {showModal =>
      edit ? (
        <IconButton icon="edit-2" iconSize={2} onClick={showModal} pt={1 / 2} />
      ) : (
        <ActionLink icon="plus" onClick={showModal}>
          ADD USER
        </ActionLink>
      )
    }
  </OpenModal>
)

export default compose(withJournal, withCountries, withRoles, withFetching)(
  AddUser,
)
